// Inicializamos la variable pulso para que pueda almacenar el valor del ancho de pulso
int pulso = 0;
void setup() {
  // Iniciamos el monitor serie para mostrar el resultado
  Serial.begin(9600);
}
 
void loop() {
  // Leemos el ancho de pulso PWM conectado en el pin 11
  pulso = pulseIn(11, HIGH);
  // Mostramos el valor por el monitor serie
  Serial.println(pulso);
}